Developers
V1PlatformCommerceCommands

/v1/platform/commerce/commands

POST
/v1/platform/commerce/commands
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/platform/commerce/commands" \  -H "Content-Type: application/json" \  -d '{    "action": "agreement.create",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",    "agreement": {      "legalName": "string",      "registrationNumber": "string",      "evidence": "string",      "feeBps": 0,      "fixedFeeMinor": 0,      "gatewayFeePayer": "platform",      "refundPlatformFee": "retain"    }  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "string"}